kio Library: KIO::FileCopyJob Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::FileCopyJob Class Reference

The FileCopyJob copies data from one place to another. More...

`#include <jobclasses.h>`

Inheritance diagram for KIO::FileCopyJob:

[legend]
Collaboration diagram for KIO::FileCopyJob:

[legend]
List of all members.

## Public Slots
void | slotStart ()
void | slotData (KIO::Job *, const QByteArray &data)
void | slotDataReq (KIO::Job *, QByteArray &data)
## Public Member Functions
| FileCopyJob (const KURL &src, const KURL &dest, int permissions, bool move, bool overwrite, bool resume, bool showProgressInfo)
void | setSourceSize64 (KIO::filesize_t size)
void | setSourceSize (off_t size) KDE_DEPRECATED
KURL | srcURL () const
KURL | destURL () const
## Protected Slots
virtual void | slotResult (KIO::Job *job)
void | slotProcessedSize (KIO::Job *job, KIO::filesize_t size)
void | slotTotalSize (KIO::Job *job, KIO::filesize_t size)
void | slotPercent (KIO::Job *job, unsigned long pct)
void | slotCanResume (KIO::Job *job, KIO::filesize_t offset)
## Protected Member Functions
void | startCopyJob ()
void | startCopyJob (const KURL &slave_url)
void | startRenameJob (const KURL &slave_url)
void | startDataPump ()
void | connectSubjob (SimpleJob *job)
virtual void | virtual_hook (int id, void *data)
## Protected Attributes
KURL | m_src
KURL | m_dest
int | m_permissions
bool | m_move:1
bool | m_overwrite:1
bool | m_resume:1
bool | m_canResume:1
bool | m_resumeAnswerSent:1
QByteArray | m_buffer
SimpleJob * | m_moveJob
SimpleJob * | m_copyJob
TransferJob * | m_getJob
TransferJob * | m_putJob
KIO::filesize_t | m_totalSize

## Detailed Description

The FileCopyJob copies data from one place to another.

See also:
  KIO::file_copy()

  KIO::file_move()

Definition at line 1209 of file jobclasses.h.

## Constructor & Destructor Documentation

KIO::FileCopyJob::FileCopyJob | ( | const KURL & | src,
|  | const KURL & | dest,
|  | int | permissions,
|  | bool | move,
|  | bool | overwrite,
|  | bool | resume,
|  | bool | showProgressInfo
| ) |

  | Do not create a FileCopyJob directly. Use KIO::file_move() or KIO::file_copy() instead. Parameters:
  | src | the source URL
  | dest | the destination URL
  | permissions | the permissions of the resulting resource
  | move | true to move, false to copy
  | overwrite | true to allow overwriting, false otherwise
  | resume | true to resume an operation, false otherwise
  | showProgressInfo | true to show progress information to the user

## Member Function Documentation

void KIO::FileCopyJob::setSourceSize64 | ( | KIO::filesize_t | size | ) |

  | If you know the size of the source file, call this method to inform this job. It will be displayed in the "resume" dialog. Parameters:
  | size | the size of the source file
Since: 3.2

void KIO::FileCopyJob::setSourceSize | ( | off_t | size | ) |

| Deprecated:

KURL KIO::FileCopyJob::srcURL | ( |  | ) | const`[inline]`

| Returns the source URL. Returns: the source URL Definition at line 1245 of file jobclasses.h.

KURL KIO::FileCopyJob::destURL | ( |  | ) | const`[inline]`

| Returns the destination URL. Returns: the destination URL Definition at line 1251 of file jobclasses.h.

virtual void KIO::FileCopyJob::slotResult | ( | KIO::Job * | job | ) | `[protected, virtual, slot]`

  | Called whenever a subjob finishes. Parameters:
  | job | the job that emitted this signal
Reimplemented from KIO::Job.

void KIO::FileCopyJob::slotProcessedSize | ( | KIO::Job * | job,
|  | KIO::filesize_t | size
| ) | `[protected, slot]`

  | Forward signal from subjob. Parameters:
  | job | the job that emitted this signal
  | size | the processed size in bytes

void KIO::FileCopyJob::slotTotalSize | ( | KIO::Job * | job,
|  | KIO::filesize_t | size
| ) | `[protected, slot]`

  | Forward signal from subjob. Parameters:
  | job | the job that emitted this signal
  | size | the total size

void KIO::FileCopyJob::slotPercent | ( | KIO::Job * | job,
|  | unsigned long | pct
| ) | `[protected, slot]`

  | Forward signal from subjob. Parameters:
  | job | the job that emitted this signal
  | pct | the percentage

void KIO::FileCopyJob::slotCanResume | ( | KIO::Job * | job,
|  | KIO::filesize_t | offset
| ) | `[protected, slot]`

  | Forward signal from subjob. Parameters:
  | job | the job that emitted this signal
  | offset | the offset to resume from

The documentation for this class was generated from the following file:

- jobclasses.h

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:26:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003